#include "AppModule.h"
namespace ECS
{
AppModule::AppModule(flecs::world &ecs)
{
	ecs.module<AppModule>();
	ecs.component<App>()
		.on_add([](App &app) {
			app.mInput = nullptr;
			app.mGuiOverlay = nullptr;
			app.listeners.clear();
		})
		.add(flecs::Singleton);
}
}